Bug 1858415 - CVE-2020-14001 rubygem-kramdown: processing template options inside documents allows unintended read access or embedded Ruby code execution [epel-7]
Summary: CVE-2020-14001 rubygem-kramdown: processing template options inside documents...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rubygem-kramdown
Version: epel7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-14001
TreeView+ depends on / blocked
 
Reported: 2020-07-17 21:25 UTC by Todd Cullum
Modified: 2020-10-17 13:42 UTC (History)
2 users (show)

Fixed In Version: rubygem-kramdown-1.9.0-2.el7
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-17 13:42:09 UTC
Type: ---


Attachments (Terms of Use)

Description Todd Cullum 2020-07-17 21:25:43 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-7.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Todd Cullum 2020-07-17 21:25:44 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1858395,1858415

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Mamoru TASAKA 2020-08-11 06:42:39 UTC
So I don't know why this is assigned to me... It is true that pagure says owner of this package for EPEL branch is me, however I don't maintain any packages for EPEL (currently) and I am not sure why I got the owner for EPEL... Maybe transition error from old pkgdb to pagure?

Note that I am the owner for Fedora branches and I modified for them.

Comment 3 Fedora Update System 2020-10-02 11:03:05 UTC
FEDORA-EPEL-2020-50425dd33f has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-50425dd33f

Comment 4 Fedora Update System 2020-10-03 02:11:43 UTC
FEDORA-EPEL-2020-50425dd33f has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-50425dd33f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-10-17 13:42:09 UTC
FEDORA-EPEL-2020-50425dd33f has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.